com.trendmicro.ds.platform.rest.object.newsfeed

## Class ListNewsEntriesResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.newsfeed.ListNewsEntriesResponse

-     public class ListNewsEntriesResponse
      extends java.lang.Object

  Response object for the News Feed API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListNewsEntriesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<NewsEntry>` | `getNewsEntries()` Gets the list of news entries.
    `boolean` | `hasCommunicationError()` Gets the flag saying there is an error communicating with the news feed.
    `void` | `setCommunicationError(boolean communicationError)` Sets the flag saying there is an error communicating with the news feed.
    `void` | `setNewsEntries(java.util.List<NewsEntry> newsEntries)` Sets the list of news entries.
    `ListNewsEntriesResponse` | `withCommunicationError(boolean communicationError)` Sets the flag saying there is an error communicating with the news feed.
    `ListNewsEntriesResponse` | `withNewsEntries(java.util.List<NewsEntry> newsEntries)` Sets the list of news entries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListNewsEntriesResponse

          public ListNewsEntriesResponse()

  - ### Method Detail

    - #### getNewsEntries

          public java.util.List<NewsEntry> getNewsEntries()

      Gets the list of news entries.
      Returns:
        The list of news entries.

    - #### setNewsEntries

          public void setNewsEntries(java.util.List<NewsEntry> newsEntries)

      Sets the list of news entries.
      Parameters:
        `newsEntries` - The list of news entries.

    - #### withNewsEntries

          public ListNewsEntriesResponse withNewsEntries(java.util.List<NewsEntry> newsEntries)

      Sets the list of news entries.
      Parameters:
        `newsEntries` - The list of news entries.
      Returns:
        the updated ListNewsEntriesResponse object.

    - #### hasCommunicationError

          public boolean hasCommunicationError()

      Gets the flag saying there is an error communicating with the news feed.
      Returns:
        true if there is a communication error, false if there is not one

    - #### setCommunicationError

          public void setCommunicationError(boolean communicationError)

      Sets the flag saying there is an error communicating with the news feed.
      Parameters:
        `communicationError` - true if there is a communication error, false if there is not one.

    - #### withCommunicationError

          public ListNewsEntriesResponse withCommunicationError(boolean communicationError)

      Sets the flag saying there is an error communicating with the news feed.
      Parameters:
        `communicationError` - true if there is a communication error, false if there is not one.
      Returns:
        the updated ListNewsEntriesResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.